import React, {useEffect} from 'react';
import {Alert, NativeEventEmitter} from 'react-native';

import DepositView from './DepositView';

import create_payment_link from '../../Payment/setup';

import VnpayMerchant, {VnpayMerchantModule} from 'react-native-vnpay-merchant';
const eventEmitter = new NativeEventEmitter(VnpayMerchantModule);

const Deposit = (props) => {
  const {method} = props.route.params;

  useEffect(() => {
    // mở sdk
    eventEmitter.addListener('PaymentBack', (e) => {
      console.log('Sdk back!');

      // Đã available trên cả ios, android
      if (e) {
        switch (e.resultCode) {
          case 0:
            console.log('Sdk closed');
            break;
          case -1:
            console.log('Người dùng nhấn back từ sdk để quay lại');
            break;
          case 10: //ios
            console.log(
              'Người dùng nhấn chọn thanh toán qua app thanh toán (Mobile Banking, Ví...)',
            );
            break;
          case 99:
            console.log(
              'Người dùng nhấn back từ trang thanh toán thành công khi thanh toán qua thẻ khi gọi đến http://sdk.merchantbackapp',
            );
        }
      }
    });
    return () => {
      // khi tắt sdk
      eventEmitter.removeAllListeners('PaymentBack');
    };
  }, []);

  const depositClick = (money, note) => {
    if (money && note) {
      if (method.agent == 'VNPAY') {
        VnpayMerchant.show({
          iconBackName: 'ic_back',
          paymentUrl: create_payment_link(
            method.return_url,
            method.checkout_url,
            money,
            note,
          ),
          scheme: 'sampleapp',
          tmn_code: 'FAHASA03',
        });
      }
    } else {
      Alert('Bạn vui lòng điền đầy đủ thông tin!');
    }
  };

  return <DepositView depositClick={depositClick} />;
};

export default Deposit;
