import React, {useState} from 'react';
import {View, Text, StyleSheet} from 'react-native';
import HeaderBack from '../../../components/Header/HeaderBack';
import TextField from '../../../components/Input/TextField';
import TextMulti from '../../../components/Input/TextMulti';
import Button from '../../../components/Button';
import {HEIGHTXD} from '../../../Config/Functions';

const DepositView = (props) => {
  const [money, setMoney] = useState(0);
  const [note, setNote] = useState('');

  return (
    <View style={{flex: 1}}>
      <HeaderBack title={'Nạp tiền'} />
      <View style={{flex: 1, paddingHorizontal: 10, paddingTop: 10}}>
        <TextField
          value={money}
          isNumber={true}
          onChangeText={(val) => setMoney(val)}
          title={'Số tiền'}
        />
        <TextMulti
          onChangeText={(val) => setNote(val)}
          numberLines={3}
          title={'Ghi chú'}
        />
      </View>
      <View style={styles.containerBtn}>
        <Button
          title={'Nạp tiền'}
          onClick={() => props.depositClick(money, note)}
        />
      </View>
    </View>
  );
};

const styles = StyleSheet.create({
  containerBtn: {
    marginBottom: 15,
  },
});

export default DepositView;
